Name:           perl-Module-CoreList
Version:        2.04
Release:        1%{?dist}
Summary:        Perl core modules indexed by perl versions

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Module-CoreList/
Source0:        http://www.cpan.org/authors/id/R/RG/RGARCIA/Module-CoreList-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
BuildRequires:  perl(Test::Pod)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Module::CoreList contains the hash of hashes %Module::CoreList::version,
this is keyed on perl version as indicated in $].  The second level hash
is module => version pairs.


%prep
%setup -q -n Module-CoreList-%{version}
%{__perl} -pi -e 's{^#!/usr/local/perl5.6.1/bin/perl\b}{#!%{__perl}}' \
    identify-dependencies


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README identify-dependencies
%{_bindir}/*
%{perl_vendorlib}/Module/
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*


%changelog
* Thu Feb  2 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.04-1
- Update to 2.04.

* Fri Jun  3 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.02-1
- Update to 2.02.

* Sat May 14 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.01-3
- Add dist tag.

* Sun Apr 24 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.01-2
- Update to 2.01.

* Sun Apr 10 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.00-2
- Update to 2.00.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Tue Apr 05 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.99-1
- Update to 1.99.
- Module::CoreList is now a core module (perl >= 5.9.2).

* Tue Jan 04 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.98-2
- BuildRequires: perl(Module::Build) (#2362).

* Mon Jan 03 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.98-0.fdr.1
- Update to 1.98.

* Thu Dec 23 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:1.97-0.fdr.1
- First build.
